/* Imports
------------------------------*/


/* Resets
------------------------------*/

html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,input,textarea,select,option,button,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,menu,nav,output,ruby,section,summary,time,mark,audio,video{margin:0;padding:0;border:0;border-radius:0;-webkit-border-radius:0;-moz-border-radius:0;outline:none;vertical-align:top}article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block}body{line-height:1}ol,ul{list-style:none}blockquote,q{quotes:none}blockquote:before,blockquote:after,q:before,q:after{content:'';content:none}table{border-collapse:collapse;border-spacing:0}

/* Generics 
------------------------------*/

html { height: 100%; }

body
{
  height: 100%;
  margin: 0;
  padding: 0;
  background-size: cover;
  background-color: #21232f;
  background-image: url(../images/background.png);
  background-repeat: no-repeat;
  background-position: center center;
  background-attachment: fixed;
  
  animation: fade-in 3s;
 -webkit-text-size-adjust: 100%;
}

a
{}

a:hover
{}

h1,
h2,
h3,
h4,
h5,
h6
{}

p
{
  font-size: 13px;
  letter-spacing: .18em;
}

button,
.button
{
  padding: 15px 40px;
  cursor: pointer;
  box-sizing: border-box;
  transition: background .3s ease;
  text-transform: uppercase;
  font-size: 11px;
  font-weight: 400;
  font-family: 'Open Sans', sans-serif;
  letter-spacing: .20em;
}

button.white,
.button.white 
{ 
  background-color: #fff;
  color: #000;
}

button.orange,
.button.orange 
{ 
  background-color: #e65c2c;
  color: #fff;
}

button:hover,
.button:hover
{
  background-color: #15161d;
  color: #fff;
}

input,
select,
textarea
{
  display: inline-block;
  box-sizing: border-box;
  text-transform: uppercase;
  font-family: 'Montserrat', sans-serif;
  font-size: 12px;
  letter-spacing: .05em;
}

/* Specifics
------------------------------*/

.container
{
  width: 100%;
  height: 100%;
  font-family: 'Montserrat', sans-serif;
}

.logo
{
  width: 170px;
  height: 40px;
  margin: 0 auto;
  margin-top: 25px;
  margin-bottom: 25px;
  background-size: 100%;
  background-image: url(../images/logo.png);
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-position: center center;
}

.splash
{}

.main
{}

.inner
{
}

.section
{}

.footer
{}

.footer a
{}

.section
{
  width: 90%;
  height: 100%;
  margin: 0 auto;
  display: table;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: .3em;
  line-height: 3em;
  color: #fff;
}

.section .inner
{
  width: 100%;
  height: 100%;
  display: table-cell;
  vertical-align: middle;
}

.section h1
{
  margin-bottom: 20px;
  font-size: 40px;
}

.section .heading
{ font-weight: 400; }

.section h1 .orange-text
{
  display: inline-block;
  background: -webkit-linear-gradient(left, #eca74f, #e65c2c);
 -webkit-background-clip: text;
 -webkit-text-fill-color: transparent;
  color: #e65c2c;
}

.section p
{
  width: 60%;
  margin: 0 auto;
  padding: 20px;
  display: block;
  line-height: 2em;
  color: #e6e7eb;
}

.request
{ 
  width: 100%;
  max-width: 860px;
  margin: 0 auto;
  margin-top: 20px;
  overflow: hidden;
  border-radius: 2px;
}

.request input,
.request button
{
  height: 60px;
  padding: 0 20px;
  line-height: 60px;
}

.request input
{ 
  width: 70%;
  float: left;
}

.request button
{
  width: 30%;
  float: left;
  font-size: 16px;
  font-weight: bold;
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
}

.processing
{ 
  overflow: hidden;
  pointer-events: none; 
}

.processing input,
.processing button
{
  margin: 0;
  opacity: .2;
}

.processing .query
{ opacity: 0; }

.processing .load
{
  height: 5px;
  background-color: #eee;
  border-radius: 2px;
  overflow: hidden;
}

.processing .bar
{
  height: inherit;
  background-color: #e65c2c;
}

.request .spinner
{
  padding-top: 40px;
  left: 0;
  right: 0;
  position: absolute;
  overflow: hidden;
}

.complete .check
{ 
  width: 100%;
  max-width: 70px;
  margin-bottom: 10px;
}

.complete button
{ margin-top: 20px; }

.spinner p
{
  width: 34px;
  height: 34px;
  margin: 0;
  padding: 0;
  position: absolute;
  display: inline-block;
  font-size: 8px;
  line-height: 34px;
}

.spinner i
{
  width: 30px;
  height: 30px;
  position: relative;
  content: '';
  display: inline-block;
  border-radius: 50%;
  border: 2px solid rgba(255, 255, 255, 1);
  border-right: 2px solid rgba(255, 255, 255, .3);
  animation: spin-infinitely .4s linear infinite;
}

/* Alignments
------------------------------*/

.left   { float: left; }
.right  { float: right; }
.center { margin: 0 auto; }

.text-left   { text-align: left; }
.text-right  { text-align: right; }
.text-center { text-align: center; }

/* Keyframes
------------------------------*/

@keyframes fade-in
{
 from { opacity: 0; }
 to   { opacity: 1; }
}

@keyframes logo-in
{
 from { transform: translate3d(0, 100%, 0); }
 to   { transform: translate3d(0, 0, 0); }
}

@keyframes spin-infinitely
{
 from { transform: rotate(0deg); }
 to   { transform: rotate(360deg); }
}

/* Media Queries
------------------------------*/

@media only screen
and (max-width : 800px)
{
  /* Sections 
  ---------------*/
  
  body
  { padding-top: 25px; }
  
  .intro .logo
  {
    background-size: 65%;
  }
  
  .intro p
  { 
    width: 100%;
    padding: 0;
    line-height: 1.8em;
  }
  
  .intro .join
  {
    margin-top: 30px;
  }
  
  .intro .join input,
  .intro .join button
  {
    height: 40px;
    padding: 0 20px;
    line-height: 40px;
  }
}

/* Media Queries
------------------------------*/

@media only screen
and (max-width : 320px)
{
  /* Sections 
  ---------------*/
  
  body
  { padding-top: 0; }
  
  
  .intro h1
  { 
    font-size: 27px;
    line-height: 1.3em;
    letter-spacing: .1em;
  }
}


@import url(https://fonts.googleapis.com/css?family=Montserrat:400,700);
